JAvier
...Javier
javier 20/10/2022
erich 14/02/2023


# NgxAdmin (Angular v13.1.3)

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 13.1.4.

> The goal of this project is to provide a starter with strong architecture concepts, best practices and several Angular features.

## Setting up the local environment and workspace

1. Install the latest LTS version of Node.js from https://nodejs.org.

1. Install the Angular CLI: `npm install -g @angular/cli`

1. Get in `ngx-admin` directory and run `npm install`

## Development server

Run `ng serve` for a dev server. Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directnoory.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Sources

* https://angular.io/guide/styleguide
* https://app.pluralsight.com/library/courses/angular-architecture-best-practices
* https://app.pluralsight.com/library/courses/best-practices-angular/table-of-contents
* https://www.udemy.com/course/testing-angular-apps/
a